# DataExchange
TKXCAFSchema
MXCAFDoc

# MXCAFDoc_GraphNodeRetrievalDriver Class Reference

`#include <MXCAFDoc_GraphNodeRetrievalDriver.hxx>`

## Public Member Functions

Standard_EXPORT | MXCAFDoc_GraphNodeRetrievalDriver (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(PDF_Attribute)&Source, const Handle(TDF_Attribute)&Target, const Handle(MDF_RRelocationTable)&RelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MXCAFDoc_GraphNodeRetrievalDriver::MXCAFDoc_GraphNodeRetrievalDriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) |

## Member Function Documentation

Standard_EXPORT const MXCAFDoc_GraphNodeRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TDF_Attribute MXCAFDoc_GraphNodeRetrievalDriver::NewEmpty | ( |  | ) | const

Standard_EXPORT void MXCAFDoc_GraphNodeRetrievalDriver::Paste | ( | const Handle(PDF_Attribute)& | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | const Handle(MDF_RRelocationTable)& | RelocTable
| ) | const

Standard_EXPORT Handle_Standard_Type MXCAFDoc_GraphNodeRetrievalDriver::SourceType | ( |  | ) | const

Standard_EXPORT Standard_Integer MXCAFDoc_GraphNodeRetrievalDriver::VersionNumber | ( |  | ) | const

The documentation for this class was generated from the following file:

- MXCAFDoc_GraphNodeRetrievalDriver.hxx